Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.commerce.ebusiness.price.engine.pool
Class PriceComparator

    java.lang.Object
      com.bea.commerce.ebusiness.price.engine.pool.PriceComparator

All Implemented Interfaces
  Serializable, Comparator

Deprecated

    @Deprecated
    public class PriceComparator

extends Object
implements Comparator, Serializable

This class is used in conjunction with java.util.Collection and ItemObjects to compare them by current price.

See Also
  Serialized Form

Field Summary
`static String` | `cName` Deprecated

Constructor Summary
`PriceComparator()` Deprecated

Method Summary
`int` | `compare(Object objectA, Object objectB)` Deprecated
`boolean` | `equals(Object object)` Deprecated

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cName

    public static final String cName

  Deprecated
  See Also
    Constants Summary

Constructor Detail

### PriceComparator

    public PriceComparator()

  Deprecated

Method Detail

### compare

    public int compare(Object objectA,
                       Object objectB)

  Deprecated
  Specified by:
    `compare` in interface `Comparator`
  Throws
    `ClassCastException` - if objects are not `ItemObject`s.

### equals

    public boolean equals(Object object)

  Deprecated
  Specified by:
    `equals` in interface `Comparator`
  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.